#ifndef __RANDOM_H__
#define __RANDOM_H__

#include <random>

namespace VRUT
{
	class RandomGenerator : public std::mt19937
	{
	public:
		std::uniform_real_distribution<float> randomFloatDist;
		float GetSample()
		{
			return randomFloatDist(*this);
		}
	};
}



#endif
